<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>Safety Car</title>
    <meta content="" name="descriptison">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="assets/img/favicon.png" rel="icon">
    <link href="assets/img/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Roboto:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
          rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/vendor/icofont/icofont.min.css" rel="stylesheet">
    <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="assets/vendor/venobox/venobox.css" rel="stylesheet">
    <link href="assets/vendor/animate.css/animate.min.css" rel="stylesheet">
    <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
    <link href="assets/vendor/owl.carousel/assets/owl.carousel.min.css" rel="stylesheet">
    <link href="assets/vendor/bootstrap-datepicker/css/bootstrap-datepicker.min.css" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link href="assets/css/style.css" rel="stylesheet">

    <link href="assets/css/modal.css" rel="stylesheet">
    <!-- =======================================================
    * Template Name: Medilab - v2.0.0
    * Template URL: https://bootstrapmade.com/medilab-free-medical-bootstrap-theme/
    * Author: BootstrapMade.com
    * License: https://bootstrapmade.com/license/
    ======================================================== -->
</head>

<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Requests</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Requests</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Appointment Section ======= -->
    <section id="appointment" class="appointment section-bg">
        <div class="container">
            <form th:action="@{/requests}" th:object="${filterRequestsDto}" action="forms/appointment.php" method="post"
                  role="form" class="php-email-form">
                <div class="form-row">
                    <div class="col-md-4 form-group">
                        <input th:field="*{requestNumber}" type="datetime" name="date" class="form-control datepicker"
                               id="date" placeholder="Filter by request number" data-rule="minlen:4"
                               data-msg="Please enter at least 4 chars">
                        <div class="validate"></div>
                    </div>
                    <div class="col-md-4 form-group">
                        <input th:field="*{creatorEmail}" type="email" class="form-control" name="email" id="email"
                               placeholder="Filter by creator email" data-rule="email"
                               data-msg="Please enter a valid email">
                        <div class="validate"></div>
                    </div>
                    <div class="col-md-4 form-group">
                        <input th:field="*{holderEmail}" type="tel" class="form-control" name="phone" id="phone"
                               placeholder="Filter by holder email" data-rule="minlen:4"
                               data-msg="Please enter at least 4 chars">
                        <div class="validate"></div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-4 form-group">
                        <select th:field="*{status}" name="department" class="form-control">
                            <option selected value="0">Filter by status</option>
                            <option th:each="status : ${statuses}"
                                    th:value="${status.id}"
                                    th:text="${status.statusName}">Status
                            </option>
                        </select>
                    </div>
                    <div class="col-md-4 form-group">
                        <select th:field="*{sortParam}" name="department" id="department" class="form-control">
                            <option selected value="0">Sort by...</option>
                            <option value="Status">Status</option>
                            <option value="StartDate">Start Date</option>
                            <option value="RequestDate">Request Date</option>
                            <option value="RequestNumber">Request Number</option>
                            <option value="Premium">Premium</option>
                        </select>
                        <div class="validate"></div>
                    </div>
                    <div class="col-md-4 form-group">
                        <select th:field="*{orderParam}" name="doctor" id="doctor" class="form-control">
                            <option selected value="Descending">Descending</option>
                            <option value="Ascending">Ascending</option>
                        </select>
                        <div class="validate"></div>
                    </div>
                </div>
                <div class="text-center">
                    <button class="btn btn-success" type="submit">Search</button>
                </div>
            </form>

        </div>
    </section><!-- End Appointment Section -->

    <!-- ======= Requests Section ======= -->
    <section id="faq" class="faq section-bg">
        <div class="container">

            <div class="section-title">
                <h2>Requests</h2>
            </div>

            <div class="faq-list">
                <ul th:each="request : ${requests}">
                    <li data-aos="fade-up" data-aos-delay="100">
                        <td>
                            <i th:if="${request.status.statusName == 'pending'}"
                               class="bx bx-help-circle icon-help"></i>
                            <i th:if="${request.status.statusName == 'rejected'}" class="bx bx-no-entry icon-help"></i>
                            <i th:if="${request.status.statusName == 'approved'}"
                               class="bx bx-check-circle icon-help"></i>
                            <i th:if="${request.status.statusName == 'cancelled'}" class="bx bx-user-x icon-help"></i>
                        </td>
                        <a class="collapsed row d-flex justify-content-between align-items-center"
                           aria-expanded="false" data-toggle="collapse"
                           th:href="'#faq-list-' + ${request.requestNumber}">
                            <span class="col-4" th:text="${request.firstName} + ' ' + ${request.lastName}"
                            > Ivan Ivanov <i
                                    th:class="bx bx-chevron-down icon-show"></i><i
                                    th:class="bx bx-chevron-up icon-close"></i></span>
                            <span class="col-4" th:text="${request.requestDate}"
                                  th:href="'#faq-list-' + ${request.requestNumber}"></span>
                            <span class="col-4" th:text="${request.status.statusName}"
                                  th:href="'#faq-list-' + ${request.requestNumber}"></span>
                            <i class="bx bx-chevron-down icon-show"></i>
                            <i class="bx bx-chevron-up icon-close"></i>
                        </a>
                        <div class="collapse"
                             th:id="'faq-list-' + ${request.requestNumber}" data-parent=".faq-list">
                            <div class="row d-flex justify-content-between align-items-center">
                                <div class="col-4">
                                    <p th:text="'Request number: ' + ${request.requestNumber}"></p>
                                    <p th:text="'Start date: ' + ${request.startDate}"></p>
                                    <p th:text="'End date: ' + ${request.endDate}"></p>
                                    <p th:text="'Driver age: ' + ${request.simulationOffer.driverAge}"></p>
                                    <p th:text="'Policy holder: ' + ${request.firstName} + ' ' + ${request.lastName}"></p>
                                    <p th:text="'Email: ' + ${request.email}"></p>
                                    <p th:text="'Phone: ' + ${request.phone}"></p>
                                    <p th:text="'Address: ' + ${request.city.name} + ', ' + ${request.postalAddress}"></p>
                                    <p th:text="'Policy creator: ' + ${request.owner.firstName} + ' ' + ${request.owner.lastName}"></p>
                                </div>
                                <div class="col-4">
                                    <p th:text="'Make: ' + ${request.simulationOffer.model.make.name}"></p>
                                    <p th:text="'Model: ' + ${request.simulationOffer.model.model}"></p>
                                    <p th:text="'Cubic capacity: ' + ${request.simulationOffer.cubicCapacity} + ' cm³'"></p>
                                    <p th:text="'First registration: ' + ${request.simulationOffer.firstRegistrationDate}"></p>
                                    <img th:onclick="'openModal('+${request.requestNumber}+')'"
                                         class="myImg" th:id="'myImg-'+${request.requestNumber}"
                                         th:src="${request.vehicleRegistrationImage}"
                                         style="max-width: 230px; max-height: 170px" alt="Vehicle registration image"/>

                                    <!-- The Modal -->
                                    <div th:id="'myModal-'+${request.requestNumber}" class="modal">
                                        <span id="close" th:class="'close-'+${request.requestNumber}">&times;</span>
                                        <img class="modal-content"

                                             th:src="${request.vehicleRegistrationImage}" alt="picture"/>
                                        <div class="caption"></div>
                                    </div>
                                </div>

                                <div class="col-4">
                                    <p th:text="'Premium: ' + ${request.simulationOffer.premium} + ' BGN'"
                                       style="font-weight: bold"></p>
                                    <br>
                                    <br>
                                    <form action="#" th:action="@{/requests/{id}(id=${request.id})}" th:object="${dto}"
                                          method="post">
                                        <div class="form-group">
                                            <label for="exampleFormControlSelect1">Change status:</label>
                                            <select th:field="*{status}" class="form-control"
                                                    id="exampleFormControlSelect1">
                                                <option th:value="${request.status.statusName}"
                                                        th:text="${request.status.statusName}">Change
                                                    status
                                                </option>
                                                <option th:value="pending">pending</option>
                                                <option th:value="approved" style="color:green">approved</option>
                                                <option th:value="rejected" style="color:red">rejected</option>
                                            </select>
                                        </div>

                                        <button type="submit" class="btn btn-success">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>

        </div>
    </section>
    <!-- End Requests Section -->

</main><!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<div id="preloader"></div>
<a href="#" class="back-to-top"><i class="icofont-simple-up"></i></a>

<!-- Vendor JS Files -->
<script src="/assets/vendor/jquery/jquery.min.js"></script>
<script src="/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="/assets/vendor/jquery.easing/jquery.easing.min.js"></script>
<script src="/assets/vendor/php-email-form/validate.js"></script>
<script src="/assets/vendor/venobox/venobox.min.js"></script>
<script src="/assets/vendor/waypoints/jquery.waypoints.min.js"></script>
<script src="/assets/vendor/counterup/counterup.min.js"></script>
<script src="/assets/vendor/owl.carousel/owl.carousel.min.js"></script>
<script src="/assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

<!-- Template Main JS File -->
<script src="/assets/js/main.js"></script>
<script src="/assets/js/modal.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("requests-active")
    offer.classList.add("active")
</script>
</body>

</html>